package net.knarcraft.dynmapcitizens.trait;

/**
 * A handler which takes care of everything for one citizen trait
 */
public interface CitizensTraitHandler {

    /**
     * Initializes this trait handler
     */
    void initialize();

    /**
     * Gets whether this handler was properly initialized and enabled
     *
     * @return <p>True if this handler was enabled</p>
     */
    boolean isEnabled();

    /**
     * Updates all markers used for this handler
     */
    void updateMarkers();

}
